Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fontbox.ttf
Class NameRecord

    java.lang.Object
      org.fontbox.ttf.NameRecord

public class NameRecord
extends Object

A name record in the name table.

Version:
  $Revision: 1.1 $
Author:
  Ben Litchfield (ben@benlitchfield.com)

Field Summary
`static int` | `NAME_COPYRIGHT` A name id.
`static int` | `NAME_FONT_FAMILY_NAME` A name id.
`static int` | `NAME_FONT_SUB_FAMILY_NAME` A name id.
`static int` | `NAME_FULL_FONT_NAME` A name id.
`static int` | `NAME_POSTSCRIPT_NAME` A name id.
`static int` | `NAME_TRADEMARK` A name id.
`static int` | `NAME_UNIQUE_FONT_ID` A name id.
`static int` | `NAME_VERSION` A name id.
`static int` | `PLATFORM_APPLE_UNICODE` A constant for the platform.
`static int` | `PLATFORM_ENCODING_WINDOWS_UNDEFINED` Platform specific encoding.
`static int` | `PLATFORM_ENCODING_WINDOWS_UNICODE` Platform specific encoding.
`static int` | `PLATFORM_ISO` A constant for the platform.
`static int` | `PLATFORM_MACINTOSH` A constant for the platform.
`static int` | `PLATFORM_WINDOWS` A constant for the platform.

Constructor Summary
`NameRecord()`

Method Summary
`int` | `getLanguageId()`
`int` | `getNameId()`
`int` | `getPlatformEncodingId()`
`int` | `getPlatformId()`
`String` | `getString()`
`int` | `getStringLength()`
`int` | `getStringOffset()`
`void` | `initData(TrueTypeFont ttf, TTFDataStream data)` This will read the required data from the stream.
`void` | `setLanguageId(int languageIdValue)`
`void` | `setNameId(int nameIdValue)`
`void` | `setPlatformEncodingId(int platformEncodingIdValue)`
`void` | `setPlatformId(int platformIdValue)`
`void` | `setString(String stringValue)`
`void` | `setStringLength(int stringLengthValue)`
`void` | `setStringOffset(int stringOffsetValue)`
`String` | `toString()` Return a string representation of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLATFORM_APPLE_UNICODE

    public static final int PLATFORM_APPLE_UNICODE

  A constant for the platform.

  See Also:
    Constant Field Values

### PLATFORM_MACINTOSH

    public static final int PLATFORM_MACINTOSH

  A constant for the platform.

  See Also:
    Constant Field Values

### PLATFORM_ISO

    public static final int PLATFORM_ISO

  A constant for the platform.

  See Also:
    Constant Field Values

### PLATFORM_WINDOWS

    public static final int PLATFORM_WINDOWS

  A constant for the platform.

  See Also:
    Constant Field Values

### PLATFORM_ENCODING_WINDOWS_UNDEFINED

    public static final int PLATFORM_ENCODING_WINDOWS_UNDEFINED

  Platform specific encoding.

  See Also:
    Constant Field Values

### PLATFORM_ENCODING_WINDOWS_UNICODE

    public static final int PLATFORM_ENCODING_WINDOWS_UNICODE

  Platform specific encoding.

  See Also:
    Constant Field Values

### NAME_COPYRIGHT

    public static final int NAME_COPYRIGHT

  A name id.

  See Also:
    Constant Field Values

### NAME_FONT_FAMILY_NAME

    public static final int NAME_FONT_FAMILY_NAME

  A name id.

  See Also:
    Constant Field Values

### NAME_FONT_SUB_FAMILY_NAME

    public static final int NAME_FONT_SUB_FAMILY_NAME

  A name id.

  See Also:
    Constant Field Values

### NAME_UNIQUE_FONT_ID

    public static final int NAME_UNIQUE_FONT_ID

  A name id.

  See Also:
    Constant Field Values

### NAME_FULL_FONT_NAME

    public static final int NAME_FULL_FONT_NAME

  A name id.

  See Also:
    Constant Field Values

### NAME_VERSION

    public static final int NAME_VERSION

  A name id.

  See Also:
    Constant Field Values

### NAME_POSTSCRIPT_NAME

    public static final int NAME_POSTSCRIPT_NAME

  A name id.

  See Also:
    Constant Field Values

### NAME_TRADEMARK

    public static final int NAME_TRADEMARK

  A name id.

  See Also:
    Constant Field Values

Constructor Detail

### NameRecord

    public NameRecord()

Method Detail

### getStringLength

    public int getStringLength()

  Returns:
    Returns the stringLength.

### setStringLength

    public void setStringLength(int stringLengthValue)

  Parameters:
    `stringLengthValue` - The stringLength to set.

### getStringOffset

    public int getStringOffset()

  Returns:
    Returns the stringOffset.

### setStringOffset

    public void setStringOffset(int stringOffsetValue)

  Parameters:
    `stringOffsetValue` - The stringOffset to set.

### getLanguageId

    public int getLanguageId()

  Returns:
    Returns the languageId.

### setLanguageId

    public void setLanguageId(int languageIdValue)

  Parameters:
    `languageIdValue` - The languageId to set.

### getNameId

    public int getNameId()

  Returns:
    Returns the nameId.

### setNameId

    public void setNameId(int nameIdValue)

  Parameters:
    `nameIdValue` - The nameId to set.

### getPlatformEncodingId

    public int getPlatformEncodingId()

  Returns:
    Returns the platformEncodingId.

### setPlatformEncodingId

    public void setPlatformEncodingId(int platformEncodingIdValue)

  Parameters:
    `platformEncodingIdValue` - The platformEncodingId to set.

### getPlatformId

    public int getPlatformId()

  Returns:
    Returns the platformId.

### setPlatformId

    public void setPlatformId(int platformIdValue)

  Parameters:
    `platformIdValue` - The platformId to set.

### initData

    public void initData(TrueTypeFont ttf,
                         TTFDataStream data)
                  throws IOException

  This will read the required data from the stream.

  Parameters:
    `ttf` - The font that is being read.
    `data` - The stream to read the data from.
  Throws:
    `IOException` - If there is an error reading the data.

### toString

    public String toString()

  Return a string representation of this class.

  Returns:
    A string for this class.

### getString

    public String getString()

  Returns:
    Returns the string.

### setString

    public void setString(String stringValue)

  Parameters:
    `stringValue` - The string to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD